# Copyright 2016 IBM Corp.
# Copyright 2016 OpenStack Foundation
# All Rights Reserved.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

from oslo_config import cfg

cert_opts = [
    cfg.StrOpt("cert_topic",
        deprecated_for_removal=True,
        deprecated_reason="""
Since the nova-cert service is marked for deprecation, the feature to change
RPC topic that cert nodes listen may be removed as early as the 15.0.0
Ocata release.
""",
        default="cert",
        help="""
Determines the RPC topic that the cert nodes listen on. For most deployments
there is no need to ever change it.
"""),
]


def register_opts(conf):
    conf.register_opts(cert_opts)


def list_opts():
    return {"DEFAULT": cert_opts}
