# Copyright 2016 Cloudbase Solutions Srl
# All Rights Reserved.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

from oslo_policy import policy


POLICY_ROOT = 'cells_scheduler_filter:%s'


cells_scheduler_policies = [
    policy.RuleDefault(
        name=POLICY_ROOT % 'DifferentCellFilter',
        check_str='is_admin:True'),
    policy.RuleDefault(
        name=POLICY_ROOT % 'TargetCellFilter',
        check_str='is_admin:True'),
]


def list_rules():
    return cells_scheduler_policies
